## org.apache.axis.wsdl.gen
Class WSDL2

    java.lang.Object
      |
      +--org.apache.axis.wsdl.gen.WSDL2

Direct Known Subclasses:
  WSDL2Java

public class WSDL2
extends java.lang.Object

Field Summary
`protected static int` `DEBUG_OPT`
`protected static int` `HELP_OPT`
`protected static int` `NETWORK_TIMEOUT_OPT`
`protected static int` `NOIMPORTS_OPT`
`protected static int` `NOWRAP_OPT`
`protected CLOptionDescriptor[]` `options`
`protected Parser` `parser`
`protected static int` `VERBOSE_OPT`
`protected java.lang.String` `wsdlURI`

Constructor Summary
`protected` `WSDL2()` Constructor Used by extended classes to construct an instance of WSDL2

Method Summary
`protected void` `addOptions(CLOptionDescriptor[] newOptions)` addOptions Add option descriptions to the tool.
`protected Parser` `createParser()` createParser Used by extended classes to construct an instance of the Parser
`protected Parser` `getParser()` getParser get the Parser object
`static void` `main(java.lang.String[] args)` Main Run the tool with the specified command-line arguments
`protected void` `parseOption(CLOption option)` Parse an option
`protected void` `printUsage()` printUsage print usage information and quit.
`protected void` `removeOption(java.lang.String name)` removeOption Remove an option description from the tool.
`protected void` `run(java.lang.String[] args)` run checkes the command-line arguments and runs the tool.
`protected void` `validateOptions()` validateOptions This method is invoked after the options are set to validate and default the options the option settings.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG_OPT

    protected static final int DEBUG_OPT

See Also:
  Constant Field Values

### HELP_OPT

    protected static final int HELP_OPT

See Also:
  Constant Field Values

### NETWORK_TIMEOUT_OPT

    protected static final int NETWORK_TIMEOUT_OPT

See Also:
  Constant Field Values

### NOIMPORTS_OPT

    protected static final int NOIMPORTS_OPT

See Also:
  Constant Field Values

### VERBOSE_OPT

    protected static final int VERBOSE_OPT

See Also:
  Constant Field Values

### NOWRAP_OPT

    protected static final int NOWRAP_OPT

See Also:
  Constant Field Values

### options

    protected CLOptionDescriptor[] options

### wsdlURI

    protected java.lang.String wsdlURI

### parser

    protected Parser parser

Constructor Detail

### WSDL2

    protected WSDL2()

  Constructor Used by extended classes to construct an instance of WSDL2

Method Detail

### createParser

    protected Parser createParser()

  createParser Used by extended classes to construct an instance of the Parser

### getParser

    protected Parser getParser()

  getParser get the Parser object

### addOptions

    protected void addOptions(CLOptionDescriptor[] newOptions)

  addOptions Add option descriptions to the tool.

  Parameters:
    `newOptions` - CLOptionDescriptor[] the options

### removeOption

    protected void removeOption(java.lang.String name)

  removeOption Remove an option description from the tool.

  Parameters:
    `name` - the name of the CLOptionDescriptor to remove

### parseOption

    protected void parseOption(CLOption option)

  Parse an option

  Parameters:
    `option` - CLOption is the option

### validateOptions

    protected void validateOptions()

  validateOptions This method is invoked after the options are set to validate and default the options the option settings.

### printUsage

    protected void printUsage()

  printUsage print usage information and quit.

### run

    protected void run(java.lang.String[] args)

  run checkes the command-line arguments and runs the tool.

  Parameters:
    `args` - String[] command-line arguments.

### main

    public static void main(java.lang.String[] args)

  Main Run the tool with the specified command-line arguments

  Parameters:
    `args` - String[] command-line arguments

Copyright © 2003 Apache Web Services Project. All Rights Reserved.